import { useState } from 'react';
import { API_URL } from '../config';

function SearchForm({ onSearch }) {
  const [query, setQuery] = useState('');

  const handleSearch = async () => {
    try {
      const response = await fetch(`${API_URL}/search?text=${encodeURIComponent(query)}`);
      const results = await response.json();
      onSearch(results);
    } catch (error) {
      console.error('Search error:', error);
    }
  };

  return (
    <div className="post-form">
      <h2>Поиск</h2>
      <input
        type="text"
        value={query}
        onChange={(e) => setQuery(e.target.value)}
        placeholder="Текст для поиска"
      />
      <button onClick={handleSearch}>Искать</button>
    </div>
  );
}

export default SearchForm;